---
updatedAt: 2026-09-21T11:38:18.000Z
agentTools:
  projectIndex: https://developers-classic.mailerlite.com/llms.txt
---

# /groups/:id/subscribers/import/:import_id

Add many new subscribers to specified group at once [Rate limited]

[block:api-header]
{
  "type": "basic",
  "title": "Response Body Parameters"
}
[/block]

[block:parameters]
{
  "data": {
    "h-0": "Parameter",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`id`",
    "0-1": "*id*",
    "0-2": "ID of an import",
    "1-0": "`type`",
    "1-1": "*string*",
    "1-2": "Action type",
    "2-0": "`stats`",
    "2-1": "*object*",
    "3-0": "`stats.imported`",
    "4-0": "`stats.duplicates`",
    "5-0": "`stats.invalid`",
    "6-0": "`stats.unchanged`",
    "7-0": "`stats.total`",
    "3-1": "*integer*",
    "4-1": "*integer*",
    "5-1": "*integer*",
    "6-1": "*integer*",
    "7-1": "*integer*",
    "8-0": "`options`",
    "8-1": "*object*",
    "9-0": "`options.resubscribe`",
    "10-0": "`options.autoresponders`",
    "9-1": "*boolean*",
    "10-1": "*boolean*",
    "11-0": "`is_finished`",
    "12-0": "`is_importing`",
    "13-0": "`is_killed`",
    "14-0": "`created_at`",
    "11-1": "*boolean*",
    "12-1": "*boolean*",
    "13-1": "*boolean*",
    "14-1": "*string*",
    "14-2": "Datetime, UTC.\n\nFormat: `Y-m-d H:i:s`",
    "11-2": "Determines if an import is finished",
    "12-2": "Determines if an import is in progress",
    "13-2": "Determines if an import is stopped",
    "10-2": "Determines if it is needed to trigger automations",
    "9-2": "Determines if it needed to activate unsubscribed/bounced/unconfirmed subscribers",
    "7-2": "Total emails in the import",
    "6-2": "Total unchanged subscribers",
    "5-2": "Total invalid email adresses",
    "4-2": "Total duplicated items in a single import",
    "3-2": "Total created subscribers"
  },
  "cols": 3,
  "rows": 15
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2-production",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://api.mailerlite.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-MailerLite-ApiKey",
        "in": "header",
        "x-default": "your api key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/groups/{id}/subscribers/import/{import_id}": {
      "get": {
        "summary": "/groups/:id/subscribers/import/:import_id",
        "description": "Add many new subscribers to specified group at once [Rate limited]",
        "operationId": "groupsidsubscribersimportimport_id",
        "parameters": [
          {
            "name": "id",
            "in": "query",
            "description": "ID of a group",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "import_id",
            "in": "query",
            "description": "ID of an import",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "value": "{\n  \"id\": 12,\n  \"type\": \"import\",\n  \"stats\": {\n    \"imported\": 0,\n    \"duplicates\": 0,\n    \"invalid\": 0,\n    \"unchanged\": 0,\n    \"total\": 0\n  },\n  \"options\": {\n    \"resubscribe\": false,\n    \"autoresponders\": false\n  },\n  \"is_finished\": true,\n  \"is_importing\": false,\n  \"is_killed\": false,\n  \"created_at\": \"2017-04-10 15:47:47\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 12,
                      "default": 0
                    },
                    "type": {
                      "type": "string",
                      "example": "import"
                    },
                    "stats": {
                      "type": "object",
                      "properties": {
                        "imported": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "duplicates": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "invalid": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "unchanged": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "total": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        }
                      }
                    },
                    "options": {
                      "type": "object",
                      "properties": {
                        "resubscribe": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "autoresponders": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        }
                      }
                    },
                    "is_finished": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "is_importing": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "is_killed": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2017-04-10 15:47:47"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Group Not Found": {
                    "value": "{\n  \"error\": {\n    \"code\": 123,\n    \"message\": \"Group not found\"\n  }\n}"
                  },
                  "Import Not Found": {
                    "value": "{\n  \"error\": {\n    \"code\": 123,\n    \"message\": \"Import not found\"\n  }\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Group Not Found",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "integer",
                              "example": 123,
                              "default": 0
                            },
                            "message": {
                              "type": "string",
                              "example": "Group not found"
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "Import Not Found",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "integer",
                              "example": 123,
                              "default": 0
                            },
                            "message": {
                              "type": "string",
                              "example": "Import not found"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X POST https://api.mailerlite.com/api/v2/groups/123456/subscribers/import/12 \\\n-H \"Content-Type: application/json\" \\\n-H \"X-MailerLite-ApiKey: fc7b8c5b32067bcd47cafb5f475d2fe9\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "X-MailerLite-ApiDocs",
        "value": "true"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```